Name:           wayqt
Version:        0.2.0
Release:        1%{?dist}
Summary:        The Qt-based library to handle Wayland and Wlroots protocols
License:        MIT
URL:            https://gitlab.com/desktop-frameworks/%{name}

Source0:        %{url}/-/archive/v%{version}/wayqt-v%{version}.tar.gz

BuildRequires:  cmake
BuildRequires:  gcc-c++
BuildRequires:  meson
BuildRequires:  cmake(Qt6Core)
BuildRequires:  cmake(Qt6Gui)
BuildRequires:  cmake(Qt6WaylandClient)
BuildRequires:  cmake(Qt6Linguist)
BuildRequires:  wayland-devel
BuildRequires:  libpng-devel
# Explicitely requires the qt6 private libraries
BuildRequires:  qt6-qtbase-private-devel

%global _description \
The Qt-based library to handle Wayland and Wlroots protocols to be used with any Qt project. \
Additionally, Wayfire's private protocol as well is supported. As the project develops, support \
for custom protocols may be added. \

%description %{_description}

%package -n %{name}-devel
Summary:  Development subpackage for %{name}
Requires: %{name}%{?dist} = %{version}
%description -n %{name}-devel %{_description}

%prep
%autosetup -p1 -n %{name}-v%{version}

%build
%meson -Duse_qt_version=qt6
%meson_build

%install
%meson_install

%check
%meson_test

%files
%doc README.md ReleaseNotes
%license LICENSE
%{_libdir}/libwayqt-qt6.so.0
%{_libdir}/libwayqt-qt6.so.%{version}

%files -n %{name}-devel
%{_includedir}/DFL/DF6/wayqt
%{_libdir}/libwayqt-qt6.so
%{_libdir}/pkgconfig/wayqt-qt6.pc

%changelog
* Tue Apr 23 2024 Steve Cossette <farchord@gmail.com> - 0.2.0-1
- Initital release of WayQt
